Package org.springframework.security.acls.domain

# Class ObjectIdentityRetrievalStrategyImpl

java.lang.Object
org.springframework.security.acls.domain.ObjectIdentityRetrievalStrategyImpl

All Implemented Interfaces:
  `ObjectIdentityGenerator`, `ObjectIdentityRetrievalStrategy`

public class ObjectIdentityRetrievalStrategyImpl extends Object implements ObjectIdentityRetrievalStrategy, ObjectIdentityGenerator
Basic implementation of `ObjectIdentityRetrievalStrategy` and `ObjectIdentityGenerator` that uses the constructors of `ObjectIdentityImpl` to create the `ObjectIdentity`.

## Constructor Summary

Constructors
Constructor
Description
`ObjectIdentityRetrievalStrategyImpl()`

## Method Summary

Modifier and Type
Method
Description
`ObjectIdentity`
`createObjectIdentity(Serializable id, String type)`
`ObjectIdentity`
`getObjectIdentity(Object domainObject)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectIdentityRetrievalStrategyImpl

public ObjectIdentityRetrievalStrategyImpl()

## Method Details

### getObjectIdentity

public ObjectIdentity getObjectIdentity(Object domainObject)

Specified by:
  `getObjectIdentity` in interface `ObjectIdentityRetrievalStrategy`

### createObjectIdentity

public ObjectIdentity createObjectIdentity(Serializable id, String type)

Specified by:
  `createObjectIdentity` in interface `ObjectIdentityGenerator`
Parameters:
  `id` - the identifier of the domain object, not null
  `type` - the type of the object (often a class name), not null
Returns:
  the identity constructed using the supplied identifier and type information.